public class Student extends Person {
    
    protected int matrikelnr;
    
    /** Hochschule, an der der Student immatrikuliert ist
     */
    protected String hochschule;
    
    public Student  () {
	
	matrikelnr = SimpleIO.getInt("Matrikelnummer des Studenten");
	hochschule = SimpleIO.getString("Hochschule des Studenten");
	
    }
    
    
    public Student  (int key, String vorname, String nachname, 
		     boolean male, int matrikelnr, String hochschule) {
	
	
	super (key, vorname, nachname, male, true);
	
	this.matrikelnr = matrikelnr; 
	this.hochschule = hochschule;
	
    }
    
    
    public void mahnung (int mahngebuehr) {
	
	/*
	  	SimpleIO.output("Mitteilung an " + this +": \n 
                         Ihre Mahngebuehr betraegt " + gebuehr + " Euro.","Mahnung");
	*/
	super.mahnung (mahngebuehr);	
	
	SimpleIO.output("Mitteilung an das Studentensekretariat: \n" + 
                    this + " kann sich noch nicht exmatrikulieren," +
			        "es stehen noch Mahngebhren aus.","Mahnung");
	
    }
    
    
    
    public boolean hatHochschulabschluss () {
	
	return super.hochschule;
	
    }
    
    
    
    public static void main (String [] args) {
	
	
	Student x = new Student ();
	
	SimpleIO.output("Eingelesen wurde " + x + " mit Matrikelnr. " + x.matrikelnr,"Test");
	
	SimpleIO.output(x + " hat schon Hochschulabschluss: " + x.hatHochschulabschluss(),"Test");
	
	Student y = new Student (123, "Hugo", "Meier", true, 54321, "RWTH");
	
	SimpleIO.output("Eingelesen wurde " + y + " mit Schluessel " + y.key
			    + ", Student an der " + y.hochschule,"Test");
	
	
	
    }
    
}


    

